<?php
include_once 'ofc_bar_base.php';
class hbar_value
{
	function hbar_value( $left, $right=null )
	{
		if( isset( $right ) )
		{
			$this->left = $left;
			$this->right = $right;
		}
		else
			$this->right = $left;
	}
	
	function set_colour( $colour )
	{
		$this->colour = $colour;	
	}
	
	function set_tooltip( $tip )
	{
		$this->tip = $tip;	
	}
	
	function on_click( $event )
	{
		$tmp = 'on-click';
		$this->$tmp = $event;
	}
}

class hbar extends bar_base
{
	function hbar($colour)
	{
		$this->type      = "hbar";
		$this->set_colour( $colour );
		parent::bar_base();
	}
}  